跳到主要内容

创建赎回申请

为您的基金类别在其他基金(被投资的发行系列)中持有的份额创建赎回申请,并可审批或取消该申请。

适用范围
角色主机所需权限
管理人manager-api写入
顾问consultant-apiCreate Applications and Redemptions

各主机的 Base URL:环境(主机)。

Request​

ENDPOINT
/trade_fund_quota/fund_class/FUND_CLASS_KEY/redemption_request
MÉTODO
POST
STATUS
201

FUND_CLASS_KEY 是您的基金类别(即持有份额的一方)的 key。

Request Body
{
"issuance_serie_key": "<issuance_serie_key>",
"external_id": "3f1c2a9e-8b7d-4c6e-9a5f-1d2e3c4b5a60",
"amount": 50000.00,
"quotation_date": "2026-10-08"
}

Body params​

字段类型描述必填
issuance_serie_keystring被投资发行系列的 key(36 个字符)。该系列必须为开放式(open_ended)。是
external_idstring您为该申请设定的标识,必须恰好为 36 个字符(UUID)。必须唯一:使用相同值的第二个申请会被拒绝并返回 TFQ000048。是
amountnumber赎回金额,必须大于零。在 internal 系列中按净额处理。redeem_all 不为 true 时必填。条件必填
redeem_allboolean设为 true 表示赎回全部持仓;此时无需 amount。否
quotation_datestring份额确认日期(YYYY-MM-DD)。当系列的 quota_calculation_method = quota_value 时必填;不得早于您基金类别的会计日期。在 internal 系列中会被忽略。条件必填
payment_datestring付款日期(YYYY-MM-DD),等于或晚于 quotation_date。省略时取 quotation_date。仅在 quota_value 系列中使用。否
source_account_keystring您基金类别在该系列金融机构中账户的 account_key。当该系列的 payment_type 为 automatic_debit 时必填;为 transfer 时请勿发送。条件必填
自动扣款

当该系列的 payment_type 为 automatic_debit(通常为归零基金)时,请发送 source_account_key:该账户必须处于开立状态,且与该系列属于同一金融机构。可在获取账户信息中获取该 key。

重发

如发生错误,请重发请求:如果该申请已存在,API 返回 TFQ000048(409),不会重复创建。此时请在赎回分页查询中核对,而不是重新创建。参见重发与重复。

在 quota_value 系列中,申请创建后处于 pending_manager_approval,需要审批(见下文)。在 internal 系列中,申请在创建时即被审批。

Response​

创建、审批和取消均返回同一个对象。

Response Body
{
"redemption_request_key": "<redemption_request_key>",
"external_redemption_request_key": null,
"status": "pending_manager_approval",
"quotation_date": "2026-10-08",
"payment_date": "2026-10-08",
"amount": 50000.0,
"issuance_serie": {
"issuance_serie_key": "<issuance_serie_key>",
"name": "Issuance Serie Name",
"subclass_name": "SUBORDINADA",
"serie": 1,
"quota_calculation_method": "quota_value",
"condominium_type": "open_ended",
"internal_code": "Internal Code",
"fund_class_name": "Fund Class Name",
"fund_class_short_name": "Fund Class Short Name",
"fund_class_document_number": "00.000.000/0000-00",
"minimum_share_capital": 0.0,
"investment_category": "fixed_income",
"asset_type": "fixed_income_fund_quota",
"payment_type": "automatic_debit",
"status": "active",
"financial_institution_code": "329",
"account_data": {
"account_digit": "0",
"account_branch": "0001",
"account_number": "12345",
"financial_institution_code": "329",
"financial_institution_ispb": "00000000"
},
"last_updated_date": "2026-10-07",
"administrator": {
"administrator_key": "<administrator_key>",
"name": "Administrator Name",
"document_number": "00.000.000/0000-00",
"status": "active"
},
"operation_periods": {
"redemption_request": {
"payment": { "days": 1, "type": "until", "calendar_base": "calendar_365" },
"quotation": { "days": 1, "type": "fixed", "calendar_base": "calendar_365" }
},
"financial_application": {
"payment": { "days": 0, "type": "fixed", "calendar_base": "workdays" },
"quotation": { "days": 0, "type": "fixed", "calendar_base": "workdays" }
}
}
},
"fund_class": {
"fund_class_key": "<fund_class_key>",
"name": "Fund Class Name",
"short_name": "Fund Class Short Name",
"document_number": "00.000.000/0000-00",
"accounting_date": "2026-10-07",
"investor_key": "<investor_key>",
"distributor": {
"name": "Distributor Name",
"distributor_key": "<distributor_key>",
"document_number": "00.000.000/0000-00"
},
"manager": {
"manager_key": "<manager_key>",
"manager_name": "Manager Name",
"document_number": "00.000.000/0000-00"
}
}
}

当申请为全额赎回时,返回 redeem_all(值为 true);资金预期已创建时,返回 cash_expectation。所发送的 external_id 不会返回。各字段的说明参见赎回分页查询。

可能的状态:created、pending_manager_approval、pending_distributor_approval、pending_external_approval、pending_quotation、quoted、mismatched_external_data、canceled、confirmed、quotation_reversed。

审批赎回申请​

审批处于 pending_manager_approval 的申请。无请求体。

ENDPOINT
/trade_fund_quota/fund_class/FUND_CLASS_KEY/redemption_request/REDEMPTION_REQUEST_KEY/approval
MÉTODO
PUT
STATUS
202

路由 PUT /trade_fund_quota/fund_class/FUND_CLASS_KEY/redemption_request/REDEMPTION_REQUEST_KEY 配合请求体 {"status": "pending_external_approval"} 可完成同样的审批,并在相同角色下继续可用。

响应为赎回申请对象(参见 Response)。

取消赎回申请​

ENDPOINT
/trade_fund_quota/fund_class/FUND_CLASS_KEY/redemption_request/REDEMPTION_REQUEST_KEY/cancel
MÉTODO
PUT
STATUS
202

无请求体。申请处于 pending_manager_approval 时您可以取消。审批之后,取消由行政管理人完成,API 返回 TFQ000053。

响应为赎回申请对象,status = canceled。

错误​

状态码代码触发条件
409TFQ000048已存在使用该 external_id 的赎回申请。
400TFQ000039在 quota_value 系列中未发送 quotation_date。
400TFQ000041您的基金类别没有该系列可赎回的有效份额。
400TFQ000046payment_date 早于 quotation_date。
400TFQ000049该系列尚未计算份额净值(internal 系列)。
400TFQ000050quotation_date 早于您基金类别的会计日期。
400TFQ000055在使用自动扣款的系列中未发送 source_account_key。
400TFQ000056在 payment_type = transfer 的系列中发送了 source_account_key。
400TFQ000058source_account_key 对应的账户不属于该系列的金融机构。
400TFQ000061source_account_key 对应的账户未处于开立状态。
400TFQ000067未发送 amount,且 redeem_all 不为 true。
400TFQ000177该系列不接受赎回(封闭式)。
400TFQ000207该系列的交易时间窗口已关闭(审批)。
400TFQ000052审批不处于 pending_manager_approval 的申请。
400TFQ000053取消不处于 pending_manager_approval 的申请。
403TFQ000054该基金类别不属于您的管理人。
404TFQ000005未找到基金类别。
404TFQ000011未找到发行系列。
404TFQ000045未找到赎回申请(取消)。
404TFQ000060未找到赎回申请(审批)。

认证、权限和主机相关错误:参见 API 错误。